%global forgeurl https://gitlab.com/fedora/sigs/go/go2rpm
%define tag v%{version}

Name:           go2rpm
Version:        1.16.0^5.20250710.f0000a0
%forgemeta
Release:        1
Summary:        Convert Go packages to RPM

License:        MIT
URL:            %{forgeurl}
Source:         go2rpm-1.16.0^5.20250710.f0000a0.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
Requires:       askalono-cli
Requires:       compiler(go-compiler)
# Recommend go2rpm all extra that includes packages needed for the vendor
# profile
Recommends:     go2rpm+all

%description
Convert Go packages to RPM.

%prep
%autosetup 

%generate_buildrequires
%pyproject_buildrequires -x all,test

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files %{name}

%check
%pytest -m "not network"

%files  -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc NEWS.md
%{_bindir}/%{name}

%pyproject_extras_subpkg -n go2rpm all vendor

%changelog
%autochangelog
* Thu Jul 10 2025 Maxwell G <maxwell@gtmx.me> - 1.16.0^5.20250710.f0000a0-1
- tests: update test data

* Thu Jul 10 2025 Maxwell G <maxwell@gtmx.me> - 1.16.0^4.20250710.85a703e-1
- templates vendor: turn on go modules mode

* Sun Jun 01 2025 Maxwell G <maxwell@gtmx.me> - 1.16.0^3.20250601.45a10f2-1
- templates vendor: get rid of %%common_description

* Tue Apr 01 2025 Maxwell G <maxwell@gtmx.me> - 1.16.0^2.20250401.92861ed-1
- vendor: use --autofill feature for go_vendor_license

* Sun Mar 23 2025 Maxwell G <maxwell@gtmx.me> - 1.16.0^1.20250323.cfa9bec-1
- Post release version bump

